geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Nazario" <jnaza...@autologicco.com>
Subject Geronimo v3-release - Oracle Thin - TranQL - AbstractMethodError
Date Tue, 21 Aug 2012 14:01:53 GMT
Hi Geronimo!  J

 

I am having issues with my running setup and can't figure out exactly what I
am missing..

 

In general:

.         I have a system running Geronimo v3 (release), Spring (3.0.5)
JdbcTemplate, connecting to Oracle 11g StoreProcedures.  

.         This system was originally designed for WebSphere 8 but we are
making it platform independent.  

.         We know in WAS8 all is running, and in Geronimo v3 almost
everything is running. 

.         The problem I am having is the unwrap of the native
OracleConnection.

 

Most of the debugging activity can be found in a TranQL Jira (but don't go
there yet.):

https://jira.codehaus.org/browse/TQL-31?focusedCommentId=306613#comment-3066
13

 

 

Short Version:

So far we are seeing the TranQL code is not unwrapping the OracleConnection,
and I was given a new TranQL fix for this. but I don't see the code picking
the new tranql-connector (1.8).  When I look at the class bundle I still can
see 1.7.  L

 

.         So can you help me decipher why the new correct class is not being
used?

.         Is Oracle Thin (11.2.0.1.0) not compatible with Geronimo v3 and
TranQL from the current release? Or what am I missing?

 

THANKS

____________________

Jonathan Nazario

Email:   <mailto:jnazario@autologicco.com> jnazario@autologicco.com

Work:  (262) 820-9672  x. 232

    Fax:  (262) 820-9674



 <http://autologicco.com/> Description: applus_logo

 <http://autologicco.com/> AutoLogic, Inc

 

 


Mime
View raw message